﻿CREATE TABLE [dbo].[DownloadsExportData] (
    [Id]                       UNIQUEIDENTIFIER NOT NULL,
    [ProjectId]                UNIQUEIDENTIFIER NULL,
    [ModuleTypeId]             UNIQUEIDENTIFIER NULL,
    [Header]                   NVARCHAR (100)   NULL,
    [Footer]                   NVARCHAR (100)   NULL,
    [ReportTitle]              NVARCHAR (200)   NULL,
    [CoverPageImageLink]       NVARCHAR (200)   NULL,
    [CoverPageImageName]       NVARCHAR (100)   NULL,
    [Overview]                 NVARCHAR (3000)  NULL,
    [KeyPoints]                NVARCHAR (3000)  NULL,
    [Methodology]              NVARCHAR (3000)  NULL,
    [MethodologyImageLink]     NVARCHAR (200)   NULL,
    [MethodologyImageName]     NVARCHAR (100)   NULL,
    [ContactUsAnalystName]     NVARCHAR (100)   NULL,
    [ContactUsOfficeContactNo] NVARCHAR (15)    NULL,
    [ContactUsAnalystEmailId]  NVARCHAR (254)   NULL,
    [CreatedOn]                DATETIME2 (7)    NULL,
    [UserCreatedById]          UNIQUEIDENTIFIER NULL,
    [ModifiedOn]               DATETIME2 (7)    NULL,
    [UserModifiedById]         UNIQUEIDENTIFIER NULL,
    [IsDeleted]                BIT              CONSTRAINT [DF_DownloadsExportData_IsDeleted] DEFAULT ((0)) NOT NULL,
    [DeletedOn]                DATETIME2 (7)    NULL,
    [UserDeletedById]          UNIQUEIDENTIFIER NULL,
    CONSTRAINT [PK_DownloadsExportData] PRIMARY KEY CLUSTERED ([Id] ASC),
    CONSTRAINT [FK_DownloadsExportData_DownloadsExportData] FOREIGN KEY ([ProjectId]) REFERENCES [dbo].[Project] ([ID]),
    CONSTRAINT [FK_DownloadsExportData_ModuleType] FOREIGN KEY ([ModuleTypeId]) REFERENCES [dbo].[ModuleType] ([Id])
);

